# 青龙脚本仓库 | QingLong Scripts

青龙面板(QL)自动化脚本集合，包含各类签到、任务及实用工具。定期维护更新，确保稳定运行。

## 📖 脚本列表

| 脚本名称               | 功能描述                          | 依赖库               | 配置说明                          |
|------------------------|-----------------------------------|----------------------|-----------------------------------|
| `ik_signin.py` | iKuuu签到                 | `requests`、`beautifulsoup4` | 需配置 `IKUUU_ACCOUNTS` 环境变量 |
| `tc_signin.py` | 同程旅行签到         | `aiohttp`、`requests` | 需配置 `tongcheng`      |

## 🚀 使用说明

### 1. 安装青龙面板
推荐使用Docker部署：
```bash
docker run -dit \
  -v $PWD/ql/config:/ql/config \
  -v $PWD/ql/log:/ql/log \
  -v $PWD/ql/db:/ql/db \
  -v $PWD/ql/repo:/ql/repo \
  -v $PWD/ql/raw:/ql/raw \
  -v $PWD/ql/scripts:/ql/scripts \
  -p 5700:5700 \
  --name qinglong \
  --hostname qinglong \
  --restart always \
  whyour/qinglong:latest
```

### 2. 添加仓库
1. 打开青龙面板，进入「依赖管理」安装必要依赖
2. 进入「定时任务」，点击「新建任务」
3. 填写以下信息：
   - 名称：自定义（如"拉取脚本"）
   - 命令：`ql repo https://gitea.uptoz.cn/UPToZ/qinglong-scripts.git
   - 定时规则：`0 0 * * *`（每天0点执行）

### 3. 配置环境变量
1. 进入青龙面板「环境变量」
2. 按需添加脚本所需的Cookie或配置项
3. 格式参考各脚本配置说明

### 消息推送配置
修改`utils/notify.js`中的推送参数，支持多种推送方式：
```javascript
// 示例：配置Telegram推送
const TG_BOT_TOKEN = '你的BotToken';
const TG_USER_ID = '你的用户ID';
```

## 📌 注意事项
- 部分脚本需要特定依赖，请确保在青龙面板中安装
- 请勿频繁运行脚本，避免触发平台风控
- 本仓库脚本仅供学习交流，请勿用于商业用途


## 📄 许可证
本仓库代码采用 [GPL-3.0](https://www.gnu.org/licenses/gpl-3.0.en.html) 许可证开源。使用时请遵守开源协议。