# iKuuu 青龙面板签到脚本

## 脚本说明

此脚本用于青龙面板自动签到iKuuu网站，支持多账号配置、域名自动更新和通知功能。

### 功能特性

- 自动检测并更新iKuuu官方域名
- 支持多账号批量签到
- 签到结果通过青龙面板通知系统推送
- 域名不可用时自动切换备用域名
- 完整的异常处理和日志记录

## 安装步骤

1. 将脚本保存为`ik_signin.py`到青龙面板的`scripts`目录
2. 添加环境变量`IKUUU_ACCOUNTS`，格式为：
```
邮箱1:密码1
邮箱2:密码2
```
3. 在青龙面板添加定时任务：
```
task ik_signin 0 0 1 * * ? 
```

## 环境变量配置

| 变量名 | 说明 | 示例 |
| ---- | ---- | ---- |
| IKUUU_ACCOUNTS | iKuuu账号密码，每行一个账号，格式为`邮箱:密码` | `test@example.com:password123` |

## 使用说明

1. 脚本会自动检测当前域名是否可用
2. 若检测到域名变更，会自动更新脚本中的域名信息
3. 依次对配置的所有账号进行签到操作
4. 签到结果会通过青龙面板的通知系统发送

## 更新日志

### 2025-06-01
- 增加剩余流量显示

---

### 2025-05-31

- 初始版本发布
- 实现基本签到功能
- 添加域名自动检测和更新机制
- 支持多账号配置和结果通知

## 注意事项

- 请确保青龙面板已配置通知功能，否则无法接收签到结果通知
- 脚本运行需要网络连接畅通，否则可能导致签到失败
- 若官方域名发生变更，脚本会自动更新，但可能需要手动触发一次以完成更新